Skip to main content
GET
/
v1
/
deployments
/
{deploymentId}
/
feature-flags
getDeploymentFeatureFlags
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.featureFlags.getDeploymentFeatureFlags({
    deploymentId: "<id>",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
{
  "flags": [
    {}
  ],
  "status": {
    "deploymentId": "<string>",
    "projectId": "<string>",
    "responseStatus": 123,
    "flagCount": 123,
    "createdAt": 123
  }
}

Authorizations

Authorization
string
header
required

Default authentication mechanism

Path Parameters

deploymentId
string
required

Query Parameters

teamId
string

The Team identifier to perform the request on behalf of.

Example:

"team_1a2b3c4d5e6f7g8h9i0j1k2l"

slug
string

The Team slug to perform the request on behalf of.

Example:

"my-team-url-slug"

Response

flags
object[]
required
status
object
required